summaryrefslogtreecommitdiff
path: root/network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild
diff options
context:
space:
mode:
authorErik Hanson <erik@slackbuilds.org>2010-05-11 22:25:05 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 22:25:05 +0200
commitfe16109e0efddfa8c22d9ca5340eabbb200072d3 (patch)
tree251d46924b67e95b985a2857961434ff8e6503c7 /network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild
parentede63e419e503224b2cb858caeabd9dc92101926 (diff)
downloadslackbuilds-fe16109e0efddfa8c22d9ca5340eabbb200072d3.tar.gz
network/claws-mail-extra-plugins: Updated for version 3.6.1
Diffstat (limited to 'network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild')
-rw-r--r--network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild72
1 files changed, 33 insertions, 39 deletions
diff --git a/network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild b/network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild
index 307d20d516..89218dedc2 100644
--- a/network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild
+++ b/network/claws-mail-extra-plugins/claws-mail-extra-plugins.SlackBuild
@@ -3,18 +3,19 @@
# SlackBuild Script to build the extra plugins for claws mail
# Copyright (c) 2007, Timothy Pollard
-#
+# Copyright (c) 2008, Erik Hanson
+#
# All rights reserved.
-#
+#
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
-#
+#
# * Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
-#
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -27,29 +28,29 @@
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by Robby Workman <rworkman@slackbuilds.org>
-
PRGNAM=claws-mail-extra-plugins
-VERSION=3.3.1
+VERSION=3.6.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
# This is a *complete* list of available plugins
-#PLUGIN_LIST="acpi_notifier att_remover attachwarner cachesaver \
+#PLUGIN_LIST="acpi_notifier archive att_remover attachwarner cachesaver \
# fetchinfo-plugin gtkhtml2_viewer mailmbox newmail notification_plugin \
-# pdf_viewer perl_plugin rssyl smime spam_report synce_plugin vcalendar"
+# perl_plugin rssyl spam_report synce_plugin tnef_parse vcalendar"
# This is the list of plugins that the script will build by default
-# Note that the synce_plugin is not included, as it requires two other
-# library dependencies that are not available at SlackBuilds.org
-PLUGIN_LIST="acpi_notifier att_remover attachwarner cachesaver \
+# Note that synce_plugin, archive and gtkhtml2_viewer are not included,
+# as it requires library dependencies that are may not be available
+# (see the README for more details) at SlackBuilds.org
+PLUGIN_LIST="acpi_notifier archive att_remover attachwarner cachesaver \
fetchinfo-plugin gtkhtml2_viewer mailmbox newmail notification_plugin \
- pdf_viewer perl_plugin rssyl smime spam_report vcalendar"
+ perl_plugin rssyl spam_report tnef_parse vcalendar"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i486"
@@ -57,7 +58,7 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
-set -e # Exit on most errors
+set -eu
rm -rf $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $TMP $PKG $OUTPUT
@@ -70,27 +71,24 @@ chmod -R u+w,go+r-w,a-s .
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp README $PKG/usr/doc/$PRGNAM-$VERSION
-for plugin in $(echo $PLUGIN_LIST) ; do
- ( echo "Building plugin: $plugin"
- cd ./$plugin-* || exit 1
-
- CFLAGS="$SLKCFLAGS" \
+for plugin in $PLUGIN_LIST ; do
+ cd ./$plugin-*
+ CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static || exit 1
-
- make || exit 1
- make install DESTDIR=$PKG || exit 1
-
- mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/$plugin
- for docfile in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO ; do
- [ -e $docfile ] && cp -a $docfile $PKG/usr/doc/$PRGNAM-$VERSION/$plugin
- done
-
- echo "Finished building plugin: $plugin"
- ) || exit 1
+ --localstatedir=/var/lib \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+ make
+ make install DESTDIR=$PKG
+
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/$plugin
+ for docfile in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO ; do
+ [ -e $docfile ] && cp -a $docfile $PKG/usr/doc/$PRGNAM-$VERSION/$plugin
+ done
+ cd -
done
cp $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/
@@ -99,12 +97,8 @@ find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
- | xargs strip -- strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
- | xargs strip -- strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz